Enable stacked layers selection for "Simplify Feature"

2010-12-03 07:10 AM - Jean-Roc Morreale

Status: Open

Priority: Low

Assignee:

Category: Digitising

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13348

Description

The "Simplify Feature" tool from the "Advanced Digitizing" toolbar can't be used on a geometry if this one is completely under another

geometry. Even with a snapping tolerance added, if you click on one of its vertex or segments the entity which will be selected will be the

top one.

A workaround is to do a live query on the layer to filter out the top geometry to get access to the one you want but this become tedious

when you’ve to repeat this operation twenty times.

A solution similar to the identify tool could be used here :

1. click on a polygon

2. qgis lists all the geometries under your mouse for the selected layer

3. choose the right item and apply the simplification

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-15 10:10 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:31 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2015-11-19 03:01 AM - Médéric RIBREUX

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Hello, bug triage...

could we just make the simplify tool works only on selected features ? User could select what he wants with the select tool or with an expression and then,

the Simplify tool will only work to the selected features (same behaviour than the "Add Part" tool)... I think that it will be more simple than creating a new

dialog box to list all the geometries listed under the mouse.

#5 - 2015-12-22 05:14 AM - Médéric RIBREUX

- Status changed from Feedback to Open

#6 - 2017-05-01 12:50 AM - Giovanni Manghi

- Easy fix? set to No
